import * as plugins from './smartbuffer.plugins.js';

export const uInt8ArrayExtras = plugins.uInt8ArrayExtras;

export function uInt8ArrayToBase64(uInt8Array: Uint8Array): string {
  return plugins.uInt8ArrayExtras.uint8ArrayToBase64(uInt8Array);
}

export function base64ToUint8Array(base64: string): Uint8Array {
  return plugins.uInt8ArrayExtras.base64ToUint8Array(base64);
}

export const isUint8Array = (obj: any): obj is Uint8Array => {
  return plugins.uInt8ArrayExtras.isUint8Array(obj);
}